corelinux::AbstractString Class Referenceabstract

AbstractString is a temporary base abstraction. More...

`#include <AbstractString.hpp>`

## Public Member Functions

| AbstractString (AbstractStringCref)
AbstractStringRef | operator= (AbstractStringCref)
bool | operator== (AbstractStringCref) const
virtual Byte | getElementByteCount (void) const =0
virtual bool | supportsStandardInterface (void) const =0
virtual bool | isUtf8 (void) const =0
virtual bool | isUcs2 (void) const =0
virtual bool | isUcs4 (void) const =0
virtual AbstractStringPtr | clone (void) const =0 throw ( Exception )
virtual AbstractStringPtr | cloneUtf8 (void) const =0 throw ( Exception )
virtual AbstractStringPtr | cloneUcs2 (void) const =0 throw ( Exception )
virtual AbstractStringPtr | cloneUcs4 (void) const =0 throw ( Exception )

## Detailed Description

AbstractString is a temporary base abstraction.

It is the goal of the library to support adaptors for other string implementations while providing a consistent interface.

The documentation for this class was generated from the following files:

- AbstractString.hpp
- AbstractString.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium